/*
 * AutoTest.h
 *
 *  Created on: Jun 13, 2024
 *      Author: Administrator
 */

#ifndef APP_INCLUDE_AUTOTEST_H_
#define APP_INCLUDE_AUTOTEST_H_
#include "typedef.h"
#if AUTO_TEST
typedef enum{
    TEST_INIT,
    TEST_READY,
    TEST_BUSY,
    TEST_FINISH,
}TEST_STATE;
void AutoTestInit(void);
TEST_STATE GetTestState(void);
void ReturnTestResult(BOOL rst);
void AutoTestHandle(void);
#define TEST_START_PIN      GPIO_Pin_5      //PA5
#define TEST_BUSY_PIN       GPIO_Pin_1      //PB1
#define TEST_OK_PIN         GPIO_Pin_6      //PA6
#define TEST_NG_PIN         GPIO_Pin_7      //PA7

#endif

#endif /* APP_INCLUDE_AUTOTEST_H_ */
